> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/security/show-bitlocker-recovery-key.md).

# BitLocker 回復キーを表示

このデバイスの BitLocker 回復キーを表示

### 説明

このデバイスにバックアップされたすべての BitLocker 回復キーを、ディスク回復用に新しいものから順に一覧表示します。変更はありません。オプションにより、Microsoft Defender for Endpoint がこのデバイスを中程度または高リスクと評価した場合はキーを非表示にできます。これにより、デバイスが調査対象である場合に、セキュリティ チームが関与する前にキーが渡されることを防げます。

### デバイスが危険にさらされていない場合のみキーを表示する

次の場合、 *デバイスが危険にさらされていない場合のみキーを表示する* (`skipIfAtRisk`) が有効な場合、runbook は回復キーを取得する前に Microsoft Defender for Endpoint でデバイスのリスク スコアを確認します。検索では Entra デバイス ID を使用し、これは同じクエリです **Defender の状態を確認** runbook が実行するのと同じクエリです。チェックは既定でオフです。

考えられる結果:

* **リスクの上昇なし** (リスク スコア `なし`, `情報` または `低`)：回復キーは通常どおり表示されます。
* **リスク スコア `中` または `高`**：runbook はキーが読み取られる前に警告を表示して停止します。リスク スコアが高いデバイスはセキュリティ インシデントに関与している可能性があり、その回復キーを開示すると暗号化されたデータが攻撃者にさらされるおそれがあります。まずセキュリティ チームと調整してください。どうしてもキーを表示するには、オプションを無効にして runbook を実行します。
* **Defender for Endpoint でデバイスが見つかりません**：リスク スコアを判定できません。runbook はこれを記録し、キーの取得を続行するため、Defender にオンボードされていないデバイスはブロックされません。
* **デバイスは見つかりましたが、リスク スコアがありません** （例: 新しくオンボードされた場合）：runbook はこれを記録し、同様に続行します。
* **Defender クエリに失敗**：runbook はキーを表示せずに停止するため、一時的な API の問題で保護が回避されることはありません。

#### 既定でチェックを有効にする

すべての要求でチェックを強制するには、パラメーターを事前設定して非表示にし、ポータルからオフにできないようにします。

この JSON 構成は次のとおりです:

```json
"rjgit-device_security_show-bitlocker-recovery-key": {
    "parameters": {
        "skipIfAtRisk": {
            "Default": true,
            "Hide": true
        }
    }
}
```

### 場所

デバイス → セキュリティ → BitLocker 回復キーを表示

**完全な Runbook 名**

rjgit-device\_security\_show-bitlocker-recovery-key

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.1.0                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | いいえ                                 |

### アクセス許可

#### アプリケーションのアクセス許可

* **型**: Microsoft Graph
  * BitlockerKey.Read.All
    * *デバイスの BitLocker 回復キーを一覧表示し、表示用にキー値を読み取ります*
* **型**: WindowsDefenderATP
  * Machine.Read.All *(オプション — 機能: Defender リスク チェック)*
    * *skipIfAtRisk の事前チェックでデバイスの Defender リスク スコアを読み取ります*

### パラメーター

#### DeviceId

この runbook が対象とするデバイスの Entra ID デバイス ID。ポータルによって、選択したデバイスから設定されます。

| プロパティ    | 値                        |
| -------- | ------------------------ |
| 必須       | true                     |
| 既定値      |                          |
| 型        | 文字列                      |
| ポータルで非表示 | はい（runbook のカスタマイズで事前設定） |

#### skipIfAtRisk

Microsoft Defender for Endpoint がこのデバイスを中程度または高リスクと評価した場合はキーを非表示にし、まずセキュリティ チームに相談できるようにします。Defender に認識されていないデバイスはブロックされません。

| プロパティ    | 値                              |
| -------- | ------------------------------ |
| 必須       | false                          |
| 既定値      | False                          |
| 型        | ブール値                           |
| ポータルの表示名 | デバイスが危険にさらされていない場合のみキーを表示しますか？ |

**ポータル オプション**

| ポータル オプション                                 | 値     |
| ------------------------------------------ | ----- |
| Defender のリスク スコアが中程度または高リスクでない場合のみキーを表示する | true  |
| Defender のリスク スコアに関係なくキーを表示する              | false |

[Runbook リファレンスの概要に戻る](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/security/show-bitlocker-recovery-key.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
